
set(hdrs
    include/pw/io/image_io.hpp
    )

set(srcs
    src/image_io.cpp
    )

add_library(pwio
    STATIC
    ${hdrs}
    ${srcs}
    )

target_include_directories(
    pwio
    PUBLIC
    include
    PRIVATE
    ${CMAKE_SOURCE_DIR}/src/deps/stb
    )

target_link_libraries(pwio pwcore)


#add_subdirectory(src)
#add_subdirectory(tests)

